IPython - Enhanced Interactive Python

No version for 64 bit Windows

Reported by Ibrahim Awwal on 2009-05-31
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
IPython
Fix Committed
Undecided
Unassigned

Bug Description

When trying to install IPython on Windows Vista 64 bit, the installer errors out because it can't find a Python installation in the registry. I have Python 2.6.2 64 bit installed on my computer. According to this[1] it's because IPython is 32 bit and so it can't work with the 64 bit Python installation. Is there an easy way to fix this, eg. can I just recompile it myself somehow?

[1] http://groups.google.com/group/comp.lang.python/browse_thread/thread/529c0023fb22922a

On Sun, May 31, 2009 at 10:24 PM, Ibrahim Awwal <email address hidden> wrote:

> I have Python 2.6.2 64 bit installed on my computer.  According to
> this[1] it's because IPython is 32 bit and so it can't work with the 64
> bit Python installation. Is there an easy way to fix this, eg. can I
> just recompile it myself somehow?

Just get the source distribution and run "setup.py install". Or run
ipython.py directly from the source.

--
Ville M. Vainio
http://tinyurl.com/vainio

Brian Granger (ellisonbg) wrote :

Just doing python setup.py install on Windows won't give you a working
IPython as the command line scripts won't be installed properly. If
you want to install from source on Windows, install setuptools and
then do:

python setupegg.py install

Cheers,

Brian

On Sun, May 31, 2009 at 12:59 PM, Ville M. Vainio <email address hidden> wrote:
> On Sun, May 31, 2009 at 10:24 PM, Ibrahim Awwal
> <email address hidden> wrote:
>
>> I have Python 2.6.2 64 bit installed on my computer.  According to
>> this[1] it's because IPython is 32 bit and so it can't work with the 64
>> bit Python installation. Is there an easy way to fix this, eg. can I
>> just recompile it myself somehow?
>
> Just get the source distribution and run "setup.py install". Or run
> ipython.py directly from the source.
>
> --
> Ville M. Vainio
> http://tinyurl.com/vainio
>
> --
> No version for 64 bit Windows
> https://bugs.launchpad.net/bugs/382214
> You received this bug notification because you are a member of IPython
> Developers, which is subscribed to IPython.
>
> Status in IPython - Enhanced Interactive Python: New
> Status in pyreadline - a python replacement of readline: New
>
> Bug description:
> When trying to install IPython on Windows Vista 64 bit, the installer errors out because it can't find a Python installation in the registry. I have Python 2.6.2 64 bit installed on my computer.  According to this[1] it's because IPython is 32 bit and so it can't work with the 64 bit Python installation. Is there an easy way to fix this, eg. can I just recompile it myself somehow?
>
> [1] http://groups.google.com/group/comp.lang.python/browse_thread/thread/529c0023fb22922a
>

--
Brian E. Granger, Ph.D.
Assistant Professor of Physics
Cal Poly State University, San Luis Obispo
<email address hidden>
<email address hidden>

Ibrahim Awwal (ibrahim-awwal) wrote :

Right, but unfortunately setuptools doesn't install for the exact same reason. I did figure out how to build my own installer by issuing the command setup.py bdist_wininst, and at the least I now have IPython working with shortcuts and everything, although I did the same for setuptools and it did not work.

If it's that easy to generate the installer, it would be nice to at least put up a note for users of 64 bit Windows so they don't waste time trying to figure this out. Since the website is a wiki, this shouldn't be hard to do, but I'm not sure what the phrasing should be or where the notice should go.

Anyway, thanks for the help; something else should probably be done to help other people who run into the same situation, which will increase as more people move to 64 bit Windows.

I don't know if any of the IPython devs have access to Windows 64 bit.
 Minimally though, we can add a note to the installation docs about
this.

Brian

On Mon, Jun 1, 2009 at 10:19 AM, Ibrahim Awwal <email address hidden> wrote:
> Right, but unfortunately setuptools doesn't install for the exact same
> reason. I did figure out how to build my own installer by issuing the
> command setup.py bdist_wininst, and at the least I now  have IPython
> working with shortcuts and everything, although I did the same for
> setuptools and it did not work.
>
> If it's that easy to generate the installer, it would be nice to at
> least put up a note for users of 64 bit Windows so they don't waste time
> trying to figure this out. Since the website is a wiki, this shouldn't
> be hard to do, but I'm not sure what the phrasing should be or where the
> notice should go.
>
> Anyway, thanks for the help; something else should probably be done to
> help other people who run into the same situation, which will increase
> as more people move to 64 bit Windows.
>
> --
> No version for 64 bit Windows
> https://bugs.launchpad.net/bugs/382214
> You received this bug notification because you are a member of IPython
> Developers, which is subscribed to IPython.
>
> Status in IPython - Enhanced Interactive Python: New
> Status in pyreadline - a python replacement of readline: New
>
> Bug description:
> When trying to install IPython on Windows Vista 64 bit, the installer errors out because it can't find a Python installation in the registry. I have Python 2.6.2 64 bit installed on my computer.  According to this[1] it's because IPython is 32 bit and so it can't work with the 64 bit Python installation. Is there an easy way to fix this, eg. can I just recompile it myself somehow?
>
> [1] http://groups.google.com/group/comp.lang.python/browse_thread/thread/529c0023fb22922a
>

--
Brian E. Granger, Ph.D.
Assistant Professor of Physics
Cal Poly State University, San Luis Obispo
<email address hidden>
<email address hidden>

Ibrahim Awwal (ibrahim-awwal) wrote :

Hi guys, it's me again. I installed Windows 7 recently and was installing all my old software again, and when I got to ipython it complained about pyreadline as usual, so I went to install it. It seems like there isn't a tarball of the source provided anymore, which kind of makes it hard to use the workaround we found earlier. I don't want to install bzr just to get the source for pyreadline, although I probably will, but is there a reason why there is no tarball for pyreadline available anywhere obvious? If you guys want I can generate a 64 bit installer that you can put up on the website.

Ibrahim Awwal skrev:
> Hi guys, it's me again. I installed Windows 7 recently and was
> installing all my old software again, and when I got to ipython it
> complained about pyreadline as usual, so I went to install it. It seems
> like there isn't a tarball of the source provided anymore, which kind of
> makes it hard to use the workaround we found earlier. I don't want to
> install bzr just to get the source for pyreadline, although I probably
> will, but is there a reason why there is no tarball for pyreadline
> available anywhere obvious? If you guys want I can generate a 64 bit
> installer that you can put up on the website.
>

zip-file of source has been added to 1.5 milestone. Please let me know
if this fixes your issue

/Jörgen

Changed in pyreadline:
milestone: none → 1.6
importance: Undecided → Medium
assignee: nobody → Jörgen Stenarson (jorgen-stenarson)
status: New → In Progress
Sridhar Ratnakumar (srid) wrote :

PyPI entry needs to be updated though: https://bugs.launchpad.net/pyreadline/+bug/505006

Fernando Perez (fdo.perez) wrote :

Closing the IPython bug since I just added a doc note about this in trunk, r1243.

Changed in ipython:
status: New → Fix Committed
Changed in pyreadline:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers